﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Data.SQLite;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace AAE2023_12
{
    public partial class Form1 : Form
    {
        String connectionString = "Data source=countries.db;Version=3";
        SQLiteConnection connection;
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            connection = new SQLiteConnection(connectionString);
            connection.Open();
            String createTableSQL = "Create table if not exists Country(" +
    "Country_Name Text primary key," +
    "Population integer," +
    "Food Text," +
    "Capital Text," +
    "Continent Text," +
    "Photo Text)";
            SQLiteCommand command = new SQLiteCommand(createTableSQL, connection);
            command.ExecuteNonQuery();
        
            String selectIDsSQL = "Select Country_Name from Country";
            SQLiteCommand command2 = new SQLiteCommand(selectIDsSQL, connection);
            SQLiteDataReader sQLiteDataReaderreader = command2.ExecuteReader();
            comboBox2.Items.Clear();
            while (sQLiteDataReaderreader.Read())
            {
                comboBox2.Items.Add(sQLiteDataReaderreader.GetString(0));
            }
            connection.Close();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            connection.Open();
            String insertSQL = "Insert into Country(" +
                "Country_Name,Population,Food,Capital,Continent,Photo) " +
                "values(@name,@population,@food,@capital,@continent,@photo)";
            SQLiteCommand command = new SQLiteCommand(insertSQL, connection);
            command.Parameters.AddWithValue("name", textBox1.Text);
            command.Parameters.AddWithValue("population", int.Parse(textBox2.Text));
            command.Parameters.AddWithValue("food", textBox3.Text);
            command.Parameters.AddWithValue("capital", textBox4.Text);
            command.Parameters.AddWithValue("continent", comboBox1.Text);
            command.Parameters.AddWithValue("photo", textBox5.Text);
            int rowsInserted = command.ExecuteNonQuery();
            connection.Close();
            pictureBox1.Load(textBox5.Text);
            MessageBox.Show(rowsInserted + " record inserted");
        }

        private void comboBox2_SelectedIndexChanged(object sender, EventArgs e)
        {
            connection.Open();
            String selectIDsSQL = "Select * from Country where Country_Name=@name";
            SQLiteCommand command2 = new SQLiteCommand(selectIDsSQL, connection);
            command2.Parameters.AddWithValue("name", comboBox2.Text);
            SQLiteDataReader sQLiteDataReaderreader = command2.ExecuteReader();
            while (sQLiteDataReaderreader.Read())
            {
                textBox1.Text = sQLiteDataReaderreader.GetString(0);
                textBox2.Text = sQLiteDataReaderreader.GetInt32(1).ToString();
                textBox3.Text = sQLiteDataReaderreader.GetString(2);
                textBox4.Text = sQLiteDataReaderreader.GetString(3);
                comboBox1.Text = sQLiteDataReaderreader.GetString(4);
                pictureBox1.Load(sQLiteDataReaderreader.GetString(5));
                textBox5.Text = sQLiteDataReaderreader.GetString(5);
            }
            connection.Close();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            connection.Open();
            String updateSQL = "Update Country " +
                "set Population=@population," +
                "Food=@food," +
                "Capital=@capital," +
                "Continent=@continent," +
                "Photo=@photo " +
                "where Country_Name=@name";
            SQLiteCommand command = new SQLiteCommand(updateSQL, connection);
            command.Parameters.AddWithValue("name", comboBox2.Text);
            command.Parameters.AddWithValue("population", int.Parse(textBox2.Text));
            command.Parameters.AddWithValue("food", textBox3.Text);
            command.Parameters.AddWithValue("capital", textBox4.Text);
            command.Parameters.AddWithValue("continent", comboBox1.Text);
            command.Parameters.AddWithValue("photo", textBox5.Text);
            int rowsUpdated = command.ExecuteNonQuery();
            connection.Close();
            pictureBox1.Load(textBox5.Text);
            MessageBox.Show(rowsUpdated + " record updated");
        }
    }
}
